<template>
	<section class="settings_main p-3">
		<div class="settings_content pr-3">
			<div class="settings_content_inr base_block">
				<div class="p-3">
					<div class="settings_panel">
						<div class="settings_panel_ttl">
							<div class="txt">{{$store.state.locale.users}}</div>
							<div style="display: flex; flex-wrap: wrap; align-items: center;">
								<div class="form-group" style="width: 250px; margin: 0 10px 0 0;">
									<input v-model.trim="search" placeholder="Введите данные для поиска" class="form-control">
								</div>
								<button @click="clickSearch()" type="button" class="login_main_sign_btn bt">
									{{ $store.state.locale.search }}
								</button>
							</div>
							<button type="button" class="login_main_sign_btn bt" data-toggle="modal" data-target="#userModal" @click="cleanForm"
									v-if="can('settings_user', 'Edit')">
								{{$store.state.locale.addUser}}
							</button>
						</div>

						<div class="settings_panel_cnt">
							<div class="table-responsive settings_content_tb">
								<table class="table table-striped table-hover">
									<thead>
									<tr>
										<th>Id</th>
										<th>{{$store.state.locale.givenName}}</th>
										<th>{{$store.state.locale.username}}</th>
										<th>{{$store.state.locale.operator}} ID</th>
										<th>{{$store.state.locale.active}}</th>
										<th class="w-40"></th>
									</tr>
									</thead>
									<tbody>
									<tr v-for="user in users">
										<td>{{user.id}}</td>
										<td>{{user.fio}}</td>
										<td>{{user.userName}}</td>
										<td>{{user.operatorId}}</td>
										<td>
											<span class="text-success" v-if="user.active">Active</span>
											<span v-else class="text-danger">{{$store.state.locale.inactive}}</span>
										</td>
										<td>
											<div class="btn-group">
												<button type="button" class="icon-btn" @click="getUser(user)">
													<i class="mdi mdi-eye"></i>
												</button>
												<button type="button"
														class="icon-btn"
														data-toggle="modal"
														data-target="#userModal"
														@click="userForm.setData(user)"
														v-if="can('settings_user', 'Edit')"
												>
													<i class="mdi mdi-pencil"></i>
												</button>
												<button type="button" class="icon-btn" @click="deleteUser(user)" v-if="can('settings_user', 'Edit')">
													<i class="mdi mdi-delete"></i>
												</button>
											</div>
										</td>
									</tr>
									</tbody>
								</table>


								<div class="cplt_table_ft">
									<div style="margin-top: 16px;" class="call_message_ft d-flex justify-content-center" v-if="pageCount > 1">
										<paginate
												:page-count="pageCount"
												:page-range="3"
												:margin-pages="1"
												:click-handler="getSearchedResult"
												container-class="pagination base_pagination"
												page-class="page-item"
												prev-class="page-item ctrl"
												next-class="page-item ctrl"
												page-link-class="page-link"
												prev-link-class="page-link"
												next-link-class="page-link"
												prev-text="<i class='mdi mdi-chevron-left'></i>"
												next-text="<i class='mdi mdi-chevron-right'></i>"
										>
										</paginate>
									</div>
								</div>


							</div>
						</div>
					</div>
				</div>
			</div>
		</div>


		<div class="settings_aside" v-if="id">
			<div class="settings_aside_inr base_block" data-tab>
				<div class="settings_aside_hd">
					<div class="txt">{{user.fio}}</div>
				</div>

				<div class="settings_aside_bd">
					<div class="settings_aside_module">
						<table class="settings_aside_module_tb">
							<thead>
							<tr>
								<td>{{$store.state.locale.modules}}</td>
								<td>{{$store.state.locale.action}}</td>
								<td width="50px" v-if="can('settings_user', 'Edit')"></td>
							</tr>
							</thead>

							<tbody>
							<tr v-for="module in modules">
								<td>
									<div class="name">{{module.moduleName}}</div>
								</td>
								<td>{{module.actionName}}</td>
								<td v-if="can('settings_user', 'Edit')">
									<button type="button" class="settings_btn_delete" @click="deleteModule(module)">
										<i class="mdi mdi-delete"></i>
									</button>
								</td>
							</tr>
							</tbody>
						</table>
					</div>
				</div>

				<div class="settings_aside_ft" v-if="can('settings_user', 'Edit')">
					<button type="button" class="btn login_main_sign_btn settings_aside_btn" data-toggle="modal" data-target="#moduleModal">Add</button>
				</div>
			</div>
		</div>

		<div class="modal fade" id="userModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100" id="exampleModalLabel">{{$store.state.locale.addUser}}</h5>
					</div>
					<div class="modal-body">
						<form @submit.prevent="saveUser">
							<div class="form-group">
								<label for="full_name" class="col-form-label">{{$store.state.locale.fullName}}</label>
								<input type="text" class="form-control" id="full_name" placeholder="Full name" required v-model="userForm.fio">
							</div>
							<div class="form-group">
								<label for="username" class="col-form-label">{{$store.state.locale.username}}</label>
								<input type="text" class="form-control" id="username" placeholder="Username" required v-model="userForm.userName">
							</div>
							<div class="form-group">
								<label for="operatorID" class="col-form-label">{{$store.state.locale.operator}} Id</label>
								<input type="number" class="form-control" id="operatorID" placeholder="Operator Id" required v-model="userForm.operatorId">
							</div>
							<div class="form-group">
								<label for="phone_number" class="col-form-label">{{$store.state.locale.telephone}}</label>
								<input type="text" class="form-control" id="phone_number" placeholder="Phone number" required v-model="userForm.phone">
							</div>
							<div class="form-group">
								<label for="email" class="col-form-label">Email</label>
								<input type="text" class="form-control" id="email" placeholder="Email" v-model="userForm.email">
							</div>
							<div class="form-group">
								<label for="active" class="col-form-label">{{$store.state.locale.active}}</label>
								<select name="" id="active" class="form-control" v-model="userForm.active" required>
									<option :value="true">Active</option>
									<option :value="false">Inactive</option>
								</select>
							</div>
							<div class="form-group">
								<label for="active1" class="col-form-label">District</label>
								<select name="" id="active1" class="form-control" v-model="userForm.districtId">
									<option v-for="district in districtList" :value="district.id">{{district.name}}</option>
								</select>
							</div>
							<div class="form-group">
								<label for="password" class="col-form-label">{{$store.state.locale.password}}</label>
								<input type="password" class="form-control" id="password" placeholder="Password" v-model="userForm.password" required>
								<!-- :required="!(userForm.id > 0)"-->
							</div>
							<div class="form-group">
								<label for="organization" class="col-form-label">Organization</label>
								<select name="" id="organization" class="form-control" v-model="userForm.organizationId">
									<option :value="null"></option>
									<option v-for="organization in organizationList" :value="organization.id">{{organization.name}}</option>
								</select>
							</div>

							<button type="submit" class="fn_btn btn_fn_success mt-3 w-100 m-0">Save</button>
						</form>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="moduleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100" id="moduleModalLabel">{{$store.state.locale.add}} {{$store.state.locale.modules}}</h5>
					</div>
					<div class="modal-body">
						<form @submit.prevent="saveModule">
							<div class="form-group">
								<label for="module" class="col-form-label">{{$store.state.locale.modules}}</label>
								<select name="" id="module" class="form-control" v-model="moduleForm.moduleId" required>
									<option v-for="module in allModules" :value="module.id">{{module.name}}</option>
								</select>
							</div>
							<div class="form-group">
								<label for="action" class="col-form-label">{{$store.state.locale.action}}</label>
								<select name="" id="action" class="form-control" v-model="moduleForm.actionId" required>
									<option :value="1">View</option>
									<option :value="2">Edit</option>
									<option :value="0">None</option>
								</select>
							</div>
							<button type="submit" class="fn_btn btn_fn_success mt-3 w-100 m-0">Save</button>
						</form>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="alreadyExists" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100">{{$store.state.locale.alreadyExists}}</h5>
					</div>
					<div class="modal-body">
						<button type="submit" class="fn_btn btn_fn_danger mt-3 w-100 m-0" data-dismiss="modal">{{$store.state.locale.cancel}}</button>
					</div>
				</div>
			</div>
		</div>

	</section>
</template>

<script src="./index.js"></script>

<style scoped>

</style>